View Issue Details

IDProjectCategoryView StatusLast Update
0002621FreeCADBugpublic2018-01-02 15:31
ReporterburtbickAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAMD 64 bitOSLinux MintOS Version17.1
Product Version0.16 
Target Version0.17Fixed in Version0.17 
Summary0002621: Exporting with File Type *.svg, *.svgz, *.dxf should be prevented if not in Drawing WB
DescriptionWhile I'm testing with v.17 daily build I have the same issue in V 0.16

If a user is not in the Drawing WB and doesn't have a drawing to export the Export logic should not allow them to attempt to export using the Drawing export File types. *.svg, *.svgz, *.dxf

Currently there is no warning message presented and it appears as if the operation has succeeded unless you have started the program from the command line and are watching the terminal window.

When attempting to export a *.dxf file you either get an empty dxf file or no file at all.

From a usability point of view the software should at the very least inform the user that it cannot process the export. Better yet it should block the attempt to export the file if there is no Drawing object associated with the request.

The software does output some information in the terminal window if you are running from a terminal but this needs to be presented in the GUI so that the users can easily see it.
Steps To ReproduceCreate a project with NO Drawing objects in it.
Make a new model in Part Design WB
Change to Draft and generate a 2D representation.
Select the 2D View object just created
Do File->Export and select the *.svg, *.svgz, *.dxf export File Type and enter foobar.dxf for the file name
Save the exported file.
Note that either there is NO foobar.dxf file produced or there is a 0 byte foobar.dxf file produced.
Additional InformationOS: Linux Mint 17.1 Rebecca
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7957 (Git)
Build type: None
Branch: master
Hash: 2ac560e7b027590e8d6b534b84020d4c1624ece5
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Relationships

related to 0002620 closed Drawing Appears in both V0.16 and daily builds Drawing dxf export not working correctly 

Activities

normandc

2016-07-19 04:44

manager   ~0007201

Last edited: 2016-07-19 04:45

View 2 revisions

This should not have been created under the Path project, this is an issue affecting the global UI.
Path refers to the workbench of the same name.

burtbick

2016-07-19 13:33

reporter   ~0007203

Sorry I missed that it was still on the Path project... In the future I'll triple check if posting a buglet.
Thanks...

jmaustpc

2016-07-28 15:32

manager   ~0007219

A link to the forum topic discussing this
http://forum.freecadweb.org/viewtopic.php?f=3&t=16487&p=130756#p130750

wmayer

2018-01-02 15:31

administrator   ~0010668

https://github.com/FreeCAD/FreeCAD/commit/8faa9f38bb70a598afc2bc39ea1645d416ab057e now pops up an error dialog in case of a failure to better inform the user.
In the past the error was only reported in the output window which the user may easily overlook.

Issue History

Date Modified Username Field Change
2016-07-13 15:45 burtbick New Issue
2016-07-19 04:44 normandc Note Added: 0007201
2016-07-19 04:45 normandc Note Edited: 0007201 View Revisions
2016-07-19 04:46 normandc Project Path => FreeCAD
2016-07-19 13:33 burtbick Note Added: 0007203
2016-07-28 15:32 jmaustpc Note Added: 0007219
2017-05-08 21:57 Kunda1 Relationship added related to 0002620
2017-09-24 19:49 wmayer Target Version => 0.17
2018-01-02 15:31 wmayer Status new => closed
2018-01-02 15:31 wmayer Resolution open => fixed
2018-01-02 15:31 wmayer Fixed in Version => 0.17
2018-01-02 15:31 wmayer Note Added: 0010668